 

import java.awt.Font;

import greenfoot.Actor;
import greenfoot.GreenfootImage;

public class Points extends Actor {

	Player player;
	GreenfootImage image;

	public Points(Player player) {
		this.player = player;
		image = new GreenfootImage(80, 80);
		image.setColor(player.getColor());
		Font font = image.getFont();
		image.setFont(font.deriveFont(24.0f));
		setImage(image);
		update();
	}

	void update() {
	    image.clear();
		image.drawString("" + player.getPoints(), 10, 40);
	}

}
